store | blogs | forums | twitter | facebook | wiki | downloads | support portal
Atomic Secure Linux
It is currently Fri Oct 24, 2014 5:17 pm

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]




Post new topic Reply to topic  [ 10 posts ] 
Author Message
 Post subject: php-pecl-apc-3.1.6
Unread postPosted: Sun Dec 05, 2010 9:30 am 
Offline
Forum Regular
Forum Regular

Joined: Sat Mar 28, 2009 6:58 pm
Posts: 865
Location: Germany
Hi,

latest release of APC from Nov-30-2010 is a stable version with number 3.1.6
http://pecl.php.net/package/APC/3.1.6

Since eaccelerator is totally unsecure in the matter of resource hunger under shared environments I need
to switch to APC. The performance might be not as good as eaccelerator but it's not causing this endless resource hunger under shared environments. If setting without shared-memory compile setting it's mostly useless.

My aim is to run APC with mod_ruid2 which runs as DSO and hopefully have a good-opcache+run-as-user environment.

Thanks


Top
 Profile  
 
 Post subject: Re: php-pecl-apc-3.1.6
Unread postPosted: Sun Dec 05, 2010 12:33 pm 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 7943
Location: earth
Sweet, 3.1.6 should be up shortly. Let me know if there are any changes it needs to work with mod_ruid2, or php in general.


Top
 Profile  
 
 Post subject: Re: php-pecl-apc-3.1.6
Unread postPosted: Mon Dec 06, 2010 4:35 am 
Offline
Forum Regular
Forum Regular

Joined: Sat Mar 28, 2009 6:58 pm
Posts: 865
Location: Germany
Thanks Scott, I will let you know any info.


Top
 Profile  
 
 Post subject: Re: php-pecl-apc-3.1.6
Unread postPosted: Mon Dec 06, 2010 8:07 am 
Offline
Long Time Forum Regular
Long Time Forum Regular

Joined: Sat Aug 20, 2005 9:30 am
Posts: 2812
Location: The Netherlands
I've never had much luck with APC, just mostly segfaults. Let us know if this one works for you, I might try it again. Until then it's eaccelerator for me.

_________________
Lemonbit Internet Dedicated Server Management


Top
 Profile  
 
 Post subject: Re: php-pecl-apc-3.1.6
Unread postPosted: Mon Dec 06, 2010 8:12 am 
Offline
Forum Regular
Forum Regular

Joined: Sat Mar 28, 2009 6:58 pm
Posts: 865
Location: Germany
I have read about it but I have no choice. Except from ACP there is XCache which I don't want to use because it's the worth of all three (imho; after reading some discussions and performance tests).
But if you go with eaccelerator and you need the get/put functions like me than you're lost because you have to compile it with shared-memory which can lead to infinite resoure usage and system slow downs.
I will let you know how it goes. First Scott has to release it ;) and than I will do some tests on my dev-environment.


Top
 Profile  
 
 Post subject: Re: php-pecl-apc-3.1.6
Unread postPosted: Sat Dec 11, 2010 4:47 am 
Offline
Long Time Forum Regular
Long Time Forum Regular

Joined: Sat Aug 20, 2005 9:30 am
Posts: 2812
Location: The Netherlands
Yum won't update to php-pecl-apc.x86_64 0:3.1.6-1.el5.art:

Code:
# rpm -q php php-pecl-apc
php-5.2.14-2.el5.art.x86_64
php-pecl-apc-3.1.2-1.el5.art.x86_64
# yum update php-pecl-apc
(...)
--> Running transaction check
---> Package php-pecl-apc.x86_64 0:3.1.6-1.el5.art set to be updated
--> Processing Dependency: php(zend-abi) = 20090626 for package: php-pecl-apc
--> Processing Dependency: php(api) = 20090626 for package: php-pecl-apc
--> Finished Dependency Resolution
php-pecl-apc-3.1.6-1.el5.art.x86_64 from atomic has depsolving problems
  --> Missing Dependency: php(api) = 20090626 is needed by package php-pecl-apc-3.1.6-1.el5.art.x86_64 (atomic)
php-pecl-apc-3.1.6-1.el5.art.x86_64 from atomic has depsolving problems
  --> Missing Dependency: php(zend-abi) = 20090626 is needed by package php-pecl-apc-3.1.6-1.el5.art.x86_64 (atomic)
Error: Missing Dependency: php(api) = 20090626 is needed by package php-pecl-apc-3.1.6-1.el5.art.x86_64 (atomic)
Error: Missing Dependency: php(zend-abi) = 20090626 is needed by package php-pecl-apc-3.1.6-1.el5.art.x86_64 (atomic)
 You could try using --skip-broken to work around the problem
 You could try running: package-cleanup --problems
                        package-cleanup --dupes
                        rpm -Va --nofiles --nodigest

_________________
Lemonbit Internet Dedicated Server Management


Top
 Profile  
 
 Post subject: Re: php-pecl-apc-3.1.6
Unread postPosted: Sat Dec 11, 2010 5:50 am 
Offline
Forum Regular
Forum Regular

Joined: Sat Mar 28, 2009 6:58 pm
Posts: 865
Location: Germany
looks like its compiled against php 5.3.X.
I still had no time testing it. Sorry. A Project came in.
Looking in the package.xml the only two dependencies are:
Code:
 <dependencies>
  <required>
   <php>
    <min>5.1.0</min>
   </php>
   <pearinstaller>
    <min>1.4.0</min>
   </pearinstaller>
  </required>
 </dependencies>

So grabbing art.srpm and rebuilding should do it, I think?!


Top
 Profile  
 
 Post subject: Re: php-pecl-apc-3.1.6
Unread postPosted: Sat Dec 11, 2010 6:39 am 
Offline
Forum Regular
Forum Regular

Joined: Sat Mar 28, 2009 6:58 pm
Posts: 865
Location: Germany
yup, rebuilded it on my dev-vm (php 5.2.X) and it installs fine.
Now it needs to do its job well. We will see what the tesing brings.


Top
 Profile  
 
 Post subject: Re: php-pecl-apc-3.1.6
Unread postPosted: Sat Dec 11, 2010 2:53 pm 
Offline
Forum Regular
Forum Regular

Joined: Sat Mar 28, 2009 6:58 pm
Posts: 865
Location: Germany
by now what I can say is:
::I'm still with PHP 5.2

-APC runs fine and chaches files from vhosts configured as apache module and fastcgi

-APC is still not working with ZendOptimizer which is only a Zend Guard Loader. Despite the name, Zend Optimizer is not a code accelerator. Rather, is a free, closed source PHP extension by Zend that enables PHP to run files encoded by Zend Guard. Besides that Zend Optimizer Plus supposed to have an APC compatibilty mode, but it's a commercial product.
>> Therefore I decided to remove Zend Optimizer. I have no vhosts that run Zend encoded code. Can't say how it is working with the Zend Optimizer Version for PHP 5.3.X. Maybe Zend did their job since they know that APC is going to be included in PHP6. Should be tested.

-When using PHP 5.2 you need to set apc.shm_size differently in /etc/php.d/apc.ini:
PHP 5.2.X = apc.shm_size=128M
PHP 5.3.X = apc.shm_size=128
Otherwise you will receive this error: PHP Startup: apc.shm_size now uses M/G suffixes, please update your ini files in Unknown on line 0


Next step is mod_ruid2...


Top
 Profile  
 
 Post subject: Re: php-pecl-apc-3.1.6
Unread postPosted: Sat Dec 11, 2010 4:46 pm 
Offline
Forum Regular
Forum Regular

Joined: Sat Mar 28, 2009 6:58 pm
Posts: 865
Location: Germany
also runs fine with Joomla under mod_fcgid


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 10 posts ] 

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group